<?php

namespace Litecms\Pagedatum\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PagedataTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Pagedatum\Models\Pagedata $pagedata)
    {
        return [
            'id'                => $pagedata->getRouteKey(),
            'key'               => [
                'public'    => $pagedata->getPublicKey(),
                'route'     => $pagedata->getRouteKey(),
            ], 
            'name'              => $pagedata->name,
            'description'       => $pagedata->description,
            'url'               => [
                'public'    => trans_url('pagedatum/'.$pagedata->getPublicKey()),
                'user'      => guard_url('pagedatum/pagedata/'.$pagedata->getRouteKey()),
            ], 
            'status'            => trans('app.'.$pagedata->status),
            'created_at'        => format_date($pagedata->created_at),
            'updated_at'        => format_date($pagedata->updated_at),
        ];
    }
}